# $Revision: 1.20.2.1 $, $Date: 2008-02-11 13:28:00 $
#
# TODO:
# - bconds
# - currently avformat support is broken, the hell knows why
# - seems to link/auto-require installed older version of lib instead of own new
# - still fails to work with kdenlive:
#     Failed to load plugin: /usr/share/mlt/modules/libmltavformat.so: undefined symbol: img_convert
Summary:	MLT - open source multimedia framework
Summary(pl.UTF-8):	MLT - szkielet multimedialny o otwartych źródłach
Name:		mlt
Version:	0.2.4
Release:	2
License:	GPL
Group:		X11/Applications/Multimedia
Source0:	http://dl.sourceforge.net/mlt/%{name}-%{version}.tar.gz
# Source0-md5:	6606d8be848a10efef929e2b6de3cf61
URL:		http://www.dennedy.org/mlt/twiki/bin/view/MLT/WebHome
Patch1:		mlt-linuxppc.patch
BuildRequires:	SDL-devel
#BuildRequires:	ffmpeg-devel
BuildRequires:	gtk+2-devel
BuildRequires:	ladspa-devel
BuildRequires:	lame-libs-devel
BuildRequires:	libdv-devel >= 0.102
BuildRequires:	libmad-devel
BuildRequires:	libquicktime-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	libvorbis-devel >= 1:1.0.1
BuildRequires:	libxml2-devel >= 2.5
BuildRequires:	pkgconfig
BuildRequires:	qt-devel
BuildRequires:	sox-devel
BuildRequires:	which
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MLT is an open source multimedia framework, designed and developed for
television broadcasting. It provides a toolkit for broadcasters, video
editors, media players, transcoders, web streamers and many more types
of applications. The functionality of the system is provided via an
assortment of ready to use tools, XML authoring components, and an
extendible plug-in based API.

%description -l pl.UTF-8
MLT to szkielet multimedialny o otwartych źródłach zaprojektowany i
rozwijany do nadawania telewizji. Udostępnia zestaw narzędzi dla
nadawców, edytory obrazu, odtwarzacze mediów, transkodery, narzędzia
do udostępniania strumieni przez WWW i wiele innych rodzajów
aplikacji. Funkcjonalność systemu jest zapewniona poprzez asortyment
gotowych do użycia narzędzi, komponentów do tworzenia XML-a i
rozszerzalne API oparte na wtyczkach.

%package devel
Summary:	Header files for MLT
Summary(pl.UTF-8):	Pliki nagłówkowe dla MLT
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains header files for MLT.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe dla MLT.

%prep
%setup -q

%ifarch ppc ppc64
%patch1 -p1
%endif

%build
export LDFLAGS="%{rpmldflags} -L%{_x_libraries}"
%configure \
	--enable-gpl \
%ifarch %{x8664}
	--disable-motion-est \
%else
	--enable-motion-est \
%endif
	--disable-debug \
%ifarch i586 i686 %{x8664}
	--disable-mmx \
%else
	--enable-mmx \
%endif
	--qimage-includedir=%{_includedir}/qt \
	--qimage-libdir=%{_libdir}
	
%{__make} \
	CC="%{__cc}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/*.so*
%{_datadir}/mlt*

%files devel
%defattr(644,root,root,755)
%{_pkgconfigdir}/*.pc
%{_includedir}/mlt*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mlt.spec,v $
Revision 1.20.2.1  2008-02-11 13:28:00  undefine
- pass x directory to cflags to fix build on ac

Revision 1.20  2007-12-27 21:12:44  glen
- rel 2

Revision 1.19  2007-08-13 12:11:11  matkor
- Strict -devel R. TODO added.

Revision 1.18  2007/08/13 08:32:52  matkor
- Version 0.2.4-1. mlt-sox.patch seems not be necessary now.

Revision 1.17  2007/03/22 16:14:59  shadzik
- rel 1

Revision 1.16  2007/03/22 16:11:09  rotom
- without tabs

Revision 1.15  2007/03/22 16:08:43  shadzik
- tab instead of spaces

Revision 1.14  2007/03/22 15:16:38  rotom
- added patch for ppc from mandriva

Revision 1.13  2007/03/22 11:52:24  rotom
- sox patch added
- now it builds on th, STBR please (mlt, mlt++, kdenlive)

Revision 1.12  2007/02/12 22:09:10  glen
- tabs in preamble

Revision 1.11  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.10  2007/01/22 22:51:39  adasi
- motion estimator doesn't work on x8664

Revision 1.9  2006/12/05 18:23:49  prism
- whose idea was it to BR: bluefish?
- enabled motion-est and avformat

Revision 1.8  2006/08/16 22:39:45  aredridel
- BR: ladspa-devel

Revision 1.7  2006/06/03 21:24:15  qboosh
- pl, libvorbis epoch

Revision 1.6  2006/06/01 21:40:01  zbyniu
- some options for configure; BRs

Revision 1.5  2006/06/01 02:01:25  shadzik
- cleanups

Revision 1.4  2006/06/01 01:55:09  shadzik
- we don't need quicktime4linux-devel at all, it's libquicktime-devel

Revision 1.3  2006/06/01 00:01:54  ankry
- tabs, other cosmetics

Revision 1.2  2006/05/31 23:57:35  shadzik
- mlt-devel requires mlt

Revision 1.1  2006/05/31 23:12:16  shadzik
- new
- needs testing, especially avformat support
